<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Evaluate a checkbox.
 */

class DeleteTermsCheckbox extends AbstractCheckbox
{
    public function process(): mixed
    {
        ini_set('max_execution_time', MAX_EXECUTION_TIME);

        if (!isset($_POST[$this->name]) || $_POST[$this->name] !== 'on') {
            return false;
        }

        $count = delete_terms();

        admin_notify(
            'success',
            __('Deleted %d terms.', 'audiothek'),
            $count
        );

        return true;
    }
}
